/// Contains application state.
#[derive(Default)]
pub struct ApplicationLifecycle {
    is_exiting: bool,
}

impl ApplicationLifecycle {
    /// Instructs the application to exit.
    pub fn exit(&mut self) {
        self.is_exiting = true;
    }

    /// Whether the application is exiting or not.
    pub fn is_exiting(&self) -> bool {
        self.is_exiting
    }
}
